#---
# Independent Component SVAR Inference
#---

# abstract types for ICSVAR model
abstract type AbstractICSVAR end

# core functions
include("Helpers.jl")
include("DensityScores.jl")
include("Simulation.jl")
include("ScoreTest.jl")
include("IRFs.jl")

# available models
include("ModelCanonical.jl") # default parameterization
include("ModelTriangular.jl") # alternative parameterization
